Post a feedback item

/action/notifications/feedback

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Use this call to send feedback on ideas, thoughts, and problems via the API with three available types: "idea", "thought", and "problem". You can send one feedback item per minute.

Request

https://cgc-api.sbgenomics.com/v2/action/notifications/feedback

Example request

POST /v2/action/notifications/feedback HTTP/1.1
Host: cgc-api.sbgenomics.com
X-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74
Content-Type: application/json
curl -X POST \
  https://api.sbgenomics.com/v2/action/notifications/feedback \
  -H 'content-type: application/json' \
  -H 'x-sbg-auth-token: 3210a98c1db9318fa9d9273156740f74' \

Request body

In the request body, you should enter the following list of key-value pairs:

KeyData type of valueContent of value
textstringSpecifies the content for the feedback i.e. feedback text.
file_idsstringSpecifies the type of feedback. The following are available:
idea
thought
* problem

Example request body

{
    "text": "I have an idea on what you can change for the Workflow Editor.",
    "type": "idea",
     "referrer": "Rosalind Franklin"
}

Header Fields

NameDescription
X-SBG-Auth-Token
required
Your CGC authentication token.
Content-Type
required
application/json

Response

See a list of CGC-specific response codes that may be contained in the body of the response.

If the request executed properly, there will be no response body for this request.

Language
LoadingLoading…